Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1431 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

madwifi-ng-r2537-20070704 compilation error (arm xscale be ixp425 toolchain "snapgear")

Reported by: anonymous Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: other Version:
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mentor)

if_ath.c: In function `ath_hardstart':
if_ath.c:2515: error: `NETDEV_TX_OK' undeclared (first use in this function)
if_ath.c:2515: error: (Each undeclared identifier is reported only once
if_ath.c:2515: error: for each function it appears in.)
if_ath.c:2773: error: `NETDEV_TX_BUSY' undeclared (first use in this function)

these variables is not defined

Change History

07/04/07 15:29:56 changed by mentor

  • description changed.

07/04/07 16:01:26 changed by mentor

Which Linux version are you using?

07/05/07 15:02:17 changed by anonymous

i use kernel 2.4 
i found, in kernel 2.6 these variables is defined:
in file netdevice.h
#define NETDEV_TX_OK 0          /* driver took care of packet */
#define NETDEV_TX_BUSY 1        /* driver tx path was busy*/
#define NETDEV_TX_LOCKED -1     /* driver tx lock was already taken */

i add these lines to netdevice.h in 2.4 kernel source.
The driver is compiled and started. 
But the device cannot find AP (with a factory firmware finds successfully)
here part of log:
# modprobe ath_pci
Using /lib/modules/2.4.32-uc0/net/ath_hal.o
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOPS_FUNC)
Using /lib/modules/2.4.32-uc0/net/wlan.o
wlan: 0.8.4.2 (0.9.3.1)
Using /lib/modules/2.4.32-uc0/net/ath_pci.o
ath_pci: 0.9.4.5 (0.9.3.1)
ath_rate_sample: 1.2 (0.9.3.1)
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.9 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x4bff0000, irq=28
# wlanconfig ath0 destroy
# wlanconfig ath0 create wlandev wifi0 wlanmode sta
ath0
# iwconfig ath0 essid SomeWord channel 6
# ifconfig ath0 10.0.1.155 netmask 255.255.255.0 up
# iwlist ath0 scan
ath0      No scan results
# iwconfig ath0
ath0      IEEE 802.11g  ESSID:"SomeWord"  
          Mode:Managed  Frequency:2.437GHz  Access Point: 00:00:00:00:00:00  
          Bit Rate:0kb/s   Tx-Power:18 dBm   Sensitivity=0/3  
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

# ifconfig ath0
ath0      Link encap:Ethernet  HWaddr 00:60:B3:59:7B:FD  
          inet addr:10.0.1.155  Bcast:10.255.255.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          
# ifconfig wifi0 
wifi0     Link encap:UNSPEC  HWaddr 00-60-B3-59-7B-FD-62-00-00-00-00-00-00-00-00-00  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:328 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199 
                    Interrupt:28 

#

Excuse, this question does not concern to current Ticket, but advise please, what actions to try? Maybe set some debug-flags and recompile driver ? i use MiniPCI XG-623G H/W V1.1 (Atheros AR2414A chip) plugged into WG302-like device

07/05/07 15:36:26 changed by anonymous

Btw, i try to 
# modprobe ath_pci rfkill=0 
(as show on madwifi.org/wiki/UserDocs/MiniPCI) 
but Link Quality:0  Signal level:0  Noise level:0 (As well as without this option rfkill=0)

07/05/07 23:53:51 changed by mentor

r2544

Regular Support Channels for other queries.

07/06/07 00:07:17 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

07/06/07 06:16:48 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:20:42 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.